{% extends 'base.html.twig' %}

{% block title %}Hello AuthorController!{% endblock %}

{% block body %}
    <style>
        .example-wrapper {
            margin: 1em auto;
            max-width: 800px;
            width: 95%;
            font: 18px/1.5 sans-serif;
        }

        .example-wrapper code {
            background: #F5F5F5;
            padding: 2px 6px;
        }
    </style>

    <div class="example-wrapper">
        <h1>Authors</h1>
        {% for message in app.flashes('warning') %}
            <div class="flash-notice">
                {{ message }}
            </div>
        {% endfor %}
        <table>
            <thead>
            <tr>
                <td> First Name</td>
                <td> Last Name</td>
                <td> Birthday</td>
                <td> Gender</td>
                <td> Place of birth</td>
                <td> Actions</td>
            </tr>
            </thead>

            <tbody>
            {% for author in authors %}
                <tr>
                    <td>{{ author.first_name }}</td>
                    <td>{{ author.last_name }}</td>
                    <td>{{ author.birthday | date('Y-m-d') }}</td>
                    <td>{{ author.gender }}</td>
                    <td>{{ author.place_of_birth }}</td>
                    <td>
                        <a href="{{ path('author_single', {id : author.id}) }}">View</a>
                        <a href="{{ path('author_delete', {id : author.id}) }}">Delete</a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>

    </div>
{% endblock %}
